Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gdk::GL::Font Class Reference

`#include <font.h>`

List of all members.

## Public Member Functions
virtual | ~Font ()=0
## Static Public Member Functions
static Glib::RefPtr< Pango::Font > | use_pango_font (const Pango::FontDescription &desc, int first, int count, int list_base)
static Glib::RefPtr< Pango::Font > | use_pango_font (const Glib::RefPtr< const Gdk::Display > &display, const Pango::FontDescription &desc, int first, int count, int list_base)

## Detailed Description

Font rendering support stuff.

## Constructor & Destructor Documentation

virtual Gdk::GL::Font::~Font | ( |  | ) | `[pure virtual]`

## Member Function Documentation

static Glib::RefPtr<Pango::Font> Gdk::GL::Font::use_pango_font | ( | const Glib::RefPtr< const Gdk::Display > & | display,
|  | const Pango::FontDescription & | desc,
|  | int | first,
|  | int | count,
|  | int | list_base
| ) | `[static]`

static Glib::RefPtr<Pango::Font> Gdk::GL::Font::use_pango_font | ( | const Pango::FontDescription & | desc,
|  | int | first,
|  | int | count,
|  | int | list_base
| ) | `[static]`

  | Create bitmap display lists from a PangoFont. Parameters:
  | desc | a Pango::FontDescription describing the font to use.
  | first | the index of the first glyph to be taken.
  | count | the number of glyphs to be taken.
  | list_base | the index of the first display list to be generated.
Returns: the Pango::Font used, or NULL RefPtr if no font matched. Examples: font.cc.

The documentation for this class was generated from the following file:

- gdkmm/gl/font.h